#ifndef _RLIN_USER_H_
#define _RLIN_USER_H_

//#include "DMK-CK-03.h"



typedef union{
	unsigned char LIN_Msg_Byte[8];
	struct{
		unsigned char Btn_AC:1;
		unsigned char Btn_MaxDef:1;
		unsigned char Btn_Mode:1;                  
		unsigned char NonUseSignal00:2;
		unsigned char Btn_BlrUp:1;     
		unsigned char Btn_BlrDn:1;
		unsigned char NonUseSignal01:1;   //First byte
		unsigned char Btn_Off:1;
		unsigned char Btn_Sync:1;
		unsigned char Btn_Auto:1;      
		unsigned char Btn_Climate:1;
		unsigned char Btn_REC:1;
		unsigned char Btn_FRE:1;
		unsigned char Spec:2;             //Second byte
		unsigned char NonUseSignalb16_L:8;//Third byte                   
		unsigned char NonUseSignalb16_H:8;//Fourth byte
		unsigned char En_TempDR:8;        //Fivth byte
		unsigned char En_TempPS:8;        //Sixth byte
		unsigned char CheckSum_L:8;       //Seventh byte
		unsigned char CheckSum_H:8;       //Eighth byte
	}LIN_TX_Msg_Part;
}LIN_TX_Msg_Type;

extern LIN_TX_Msg_Type PanelToMain;

typedef union{
	unsigned char LIN_Msg_Byte[8];
	struct{
		unsigned char LED_Auto:1;
		unsigned char LED_AC:1;
		unsigned char :2;
		unsigned char LED_FRE:1;
		unsigned char LED_REC:1;
		unsigned char LED_MaxDef:1;
		unsigned char LED_Sync:1;//First Byte
		unsigned char Symbol_TempDR:8;//Second Byte
		unsigned char Symbol_TempPS:8;//Third Byte
		unsigned char :8;//Fourth Byte
		unsigned char :8;//Fivth Byte
		unsigned char :8;//Sixth Byte
		unsigned char :8;//Seventh Byte
		unsigned char Panel_Boot_Enable:1;
		unsigned char :7;//Eighth Byte
	}LIN_RX_Msg_Part;	
}LIN_RX_Msg_Type;

extern LIN_RX_Msg_Type MainToPanel;

void LIN_Data_Update(unsigned char *Array_1,unsigned char *Array_2,unsigned char lenth);

#endif