#ifndef __PINDEF_H__
#define __PINDEF_H__

#include "iodefine.h"



#define SIGID_HALL1       1
#define SIGID_HALL2       2
#define SIGID_HALL3       3
#define SIGID_HALL4       4
#define SIGID_HALL5       5
#define SIGID_HALL6       6



#define IN_HALL1    P9_bit.no1
#define IN_HALL2    P9_bit.no0
#define IN_HALL3    P8_bit.no4
#define IN_HALL4    P8_bit.no5
#define IN_HALL5    P8_bit.no2
#define IN_HALL6    P8_bit.no3

#define OUT_RLY1P   P14_bit.no0
#define OUT_RLY1N   P0_bit.no0
#define OUT_RLY2P   P7_bit.no3
#define OUT_RLY2N   P13_bit.no0
#define OUT_RLY3P   P7_bit.no1
#define OUT_RLY3N   P7_bit.no2
#define OUT_RLY4P   P3_bit.no2
#define OUT_RLY4N   P7_bit.no0
#define OUT_RLY5P   P1_bit.no6
#define OUT_RLY5N   P1_bit.no7
#define OUT_RLY6P   P3_bit.no1
#define OUT_RLY6N   P1_bit.no5
#define OUT_LINEN   P1_bit.no2 
#define LIN_TXD     P1_bit.no3
#define OUT_JR1     P9_bit.no2
#define OUT_JR2     P4_bit.no1
#define OUT_LOCK1   P1_bit.no1
#define OUT_LOCK2   P1_bit.no0

#define ADCH_RLY3 0
#define ADCH_RLY2 1
#define ADCH_RLY1 2
#define ADCH_BAT  3



#endif

