
#ifndef __HWCTRL_H__
#define __HWCTRL_H__
#include "r_cg_macrodriver.h"




#define KEY_PRESSED 1
#define KEY_NOPRESSED 0

#define KEY_NUM 20

#define ACT_NOACT   0
#define ACT_XQ      1
#define ACT_XH      2

#define KEYID_K1       17
#define KEYID_K2       18
#define KEYID_K3       19
#define KEYID_K4       20

#define KEYID_MOTOR1_XQ 13
#define KEYID_MOTOR1_XH 16
#define KEYID_MOTOR2_XQ 14
#define KEYID_MOTOR2_XH 15

#define KEYID_MOTOR3_XQ 9
#define KEYID_MOTOR3_XH 12
#define KEYID_MOTOR4_XQ 10
#define KEYID_MOTOR4_XH 11

#define KEYID_MOTOR5_XQ 1
#define KEYID_MOTOR5_XH 2
#define KEYID_MOTOR6_XQ 3
#define KEYID_MOTOR6_XH 4
#define KEYID_MM        5
#define KEYID_M1        8
#define KEYID_M2        7
#define KEYID_M3        6

void ad_handle(void);
uint16_t getAdval(uint8_t ch);

void KeyScan(void);
void ClearKeyState(void);
uint8_t GetKeyState(uint8_t keyno);
uint8_t getKeyReleaseFlag(uint8_t id);
uint8_t getKeyPressFlag(uint8_t id);
uint8_t GetIOState(uint8_t keyno);



void MOTOR1Ctrl(uint8_t act);
void MOTOR2Ctrl(uint8_t act);
void MOTOR3Ctrl(uint8_t act);
void MOTOR4Ctrl(uint8_t act);
void MOTOR5Ctrl(uint8_t act);
void MOTOR6Ctrl(uint8_t act);

void SetTfDuty(uint8_t duty);
void SetJrDuty(uint8_t duty);

#endif
