#ifndef __PINDEF_H__
#define __PINDEF_H__

#include "iodefine.h"
#include "prjconfig.h"


#define SIGID_KEY1  1
#define SIGID_KEY2  2
#define SIGID_KEY3  3
#define SIGID_KEY4  4

#define KEY_NUM 4

#if BOARDCFG == LEFT_BOARD
#define IN_KEY1    P1_bit.no3 
#define IN_KEY2    P1_bit.no2
#define IN_KEY3    P1_bit.no1
#define IN_KEY4    P13_bit.no7

#define OUT_BL_CTRL P1_bit.no0
#define OUT_LINEN   P1_bit.no4
#define OUT_LED1    P4_bit.no1
#define OUT_LED2    P4_bit.no2
#define OUT_LED3    P2_bit.no0
#define OUT_LED4    P2_bit.no3
#define OUT_LED5    P2_bit.no2
#define OUT_LED6    P2_bit.no1

#else
#define IN_KEY1    P2_bit.no1 
#define IN_KEY2    P2_bit.no2
#define IN_KEY3    P2_bit.no3
#define IN_KEY4    P13_bit.no7

#define OUT_BL_CTRL P1_bit.no0
#define OUT_LINEN   P1_bit.no4
#define OUT_LED1    P4_bit.no1
#define OUT_LED2    P4_bit.no2
#define OUT_LED3    P2_bit.no0
#define OUT_LED4    P1_bit.no1
#define OUT_LED5    P1_bit.no2
#define OUT_LED6    P1_bit.no3


#endif







#endif

